﻿using System.Web.Optimization;

namespace KendoUIApp2
{
    public class BundleConfig
    {
        public static void RegisterBundles(BundleCollection bundles)
        {
            #region Scripts

            bundles.Add(new ScriptBundle("~/bundles/jquery").Include(
                "~/Scripts/jquery-{version}.js"));

            bundles.Add(new ScriptBundle("~/bundles/modernizr").Include(
                "~/Scripts/modernizr-*"));

            bundles.Add(new ScriptBundle("~/bundles/bootstrap").Include(
                "~/Scripts/bootstrap.js",
                "~/Scripts/respond.js"));

            bundles.Add(new ScriptBundle("~/bundles/kendo").Include(
                "~/Scripts/kendo/2016.2.504/kendo.all.min.js",
                "~/Scripts/kendo/2016.2.504/kendo.aspnetmvc.min.js"));

            #endregion

            #region CSS

            bundles.Add(new StyleBundle("~/Content/css").Include(
                "~/Content/bootstrap.min.css"));

            bundles.Add(new StyleBundle("~/Content/kendo/css").Include(
                "~/Content/kendo/2016.2.504/kendo.common-material.min.css",
                "~/Content/kendo/2016.2.504/kendo.mobile.all.min.css",
                "~/Content/kendo/2016.2.504/kendo.dataviz.min.css",
                "~/Content/kendo/2016.2.504/kendo.material.min.css",
                "~/Content/kendo/2016.2.504/kendo.dataviz.material.min.css"));

            bundles.Add(new StyleBundle("~/Content/custom/css").Include(
                "~/Content/Site.css"));

            #endregion

        }
    }
}